/* Linker Script */
HIDDEN(RAMSIZE = 0x8000);
PROVIDE_HIDDEN (_stack = RAMSIZE);
ENTRY   (Startup)

SECTIONS {
	/* startup code */
	. = 0x0000;
	.start : {
		*(.start*)
		. = ALIGN(4);
	}

	/* main code */
	.text : {
		*(.text*)
		. = ALIGN(4);
		*(.rodata*)
		. = ALIGN(4);
	}

	/* main data */
	.data : {
		*(.data*)
		. = ALIGN(4);
	}

	/* zero-initialized data */
	.bss (NOLOAD) : {
		PROVIDE_HIDDEN (_sbss = .);
		*(.bss*)
		*(COMMON)
		. = ALIGN(4);
		PROVIDE_HIDDEN (_ebss = .);
	}

	/* end of static program */
	. = ALIGN(8);
	_end = .;

	/* Might be needed for C++ exceptions */
	/DISCARD/ : { *(.eh_frame) }

	. = RAMSIZE;	/* end of memory */
	_ramend = .;
}
